Subject: [TR] TR3 clutch not releasing

From: Frank Magnusson <[email-masked]>
Date: Wed, 30 Oct 2013 20:12:45 -0500

I had this happen a GT6 several times.  What seemed to work for me was to roll
the car out to the street, and start the car in first or 2nd, and while it is
trying to start, pump the clutch pedal many tomes.  Another thing that worked
when that didn't is to find a hill to drive up and lug it up the hill in a
high gear like 3rd and when it is lugging down start pumping the pedal.  Or on
a flat straight rev the engine while in 1st and pump the pedal.  Those have
worked for me except once when I had to pull the gearbox.

Btw, all of my problems were caused by parking it over gravel.  No moisture
barrier.  This was in an aircraft T hanger.  When parked on asphalt or
concrete I never had these problems.

Hope this helps,
Frank

** [email-masked] **

Archive: http://www.team.net/archive